<?php

SetConversion( array('ENERGY_TARIF_SUM' , 
              'ENERGY_TARIF_SUM_ACTIVE_M',
              'ENERGY_TARIF1',
              'ENERGY_TARIF2',
              'ENERGY_TARIF3',
              'ENERGY_TARIF4',
              'ENERGY_TARIF5',
              'ENERGY_TARIF1_ACTIVE_M',
              'ENERGY_TARIF2_ACTIVE_M',
              'ENERGY_TARIF3_ACTIVE_M',
              'ENERGY_TARIF4_ACTIVE_M') , "kwt_h" );

SetConversion( array('ENERGY_TARIF_SUM_REACTIVE_P' , 
              'ENERGY_TARIF_SUM_REACTIVE_M',
              'ENERGY_TARIF1_REACTIVE_P',
              'ENERGY_TARIF2_REACTIVE_P',
              'ENERGY_TARIF3_REACTIVE_P',
              'ENERGY_TARIF4_REACTIVE_P',
              'ENERGY_TARIF1_REACTIVE_M',
              'ENERGY_TARIF2_REACTIVE_M',
              'ENERGY_TARIF3_REACTIVE_M',
              'ENERGY_TARIF4_REACTIVE_M') , "kvar" );
SetConversion( array('PHASE1_VOLTAGE','PHASE2_VOLTAGE','PHASE3_VOLTAGE') , "volt" );
SetConversion( array('PHASE1_POWER','PHASE2_POWER','PHASE3_POWER',"PHASE_POWER_SUM") , "vatt" );
SetConversion( array('PHASE1_CURRENT','PHASE2_CURRENT','PHASE3_CURRENT') , "tok_phase_a" );
SetConversion( array('PHASE1_POWER_R','PHASE2_POWER_R','PHASE3_POWER_R',"PHASE_POWER_R_SUM") , "vt" );
SetConversion( array('PHASE1_POWER_F','PHASE2_POWER_F','PHASE3_POWER_F',"PHASE_POWER_F_SUM") , "var" );
SetConversion( array('PARAMETER_BATTARY_VOLTAGE') , "vt" );
SetConversion( array('ENERGY_WATER') , "vth_kvth" );
SetConversion( array('SCOPE_M3') , "mm3_m3" );
SetConversion( array('CONSUMPTION_M3H') , "mm3_m3" );


function SetConversion( $idents_parameters = array() , $ident_conversion = "" ){
    $Filter = array(
        'Filter' => array(
            'Ident' => $idents_parameters,
            'Interprise' => 0
        )
    );

    $FilterConversion = array(
        'Filter' => array(
            'Ident' => $ident_conversion,
            'Interprise' => 0
        )
    );

    $res = conversion::Filter($FilterConversion);

    if( $res->Count ){
        foreach (parameter::Filter($Filter)->Elements as $iParameter) {
            $iParameter->UpdateByArray(array(
                'ConversionId' => $res->First->Id
            ));
            $iParameter->Save();
        }
    }
}