<?php

$install_ar_parameters = array(
    "ENERGY",
    "ENERGY_MAX",
    "ENERGY_TARIF1",
    "ENERGY_TARIF2",
    "PHASE1_VOLTAGE",
    "PHASE2_VOLTAGE",
    "PHASE3_VOLTAGE",
    "TEMP_0",
    "EVENT_LOG_VOLTAGE",
    "ENERGY_TARIF_SUM",
    "EVENT_POWER",
    "EVENT_TIME_CORRERT",
    "EVENT_WRITE",
    "EVENT_CASEOPEN",
    "EVENT_WRITE_485",
    "EVENT_METER_ERROR",
    "EVENT_CASEOPEN_HD",
    "EVENT_VOLTAGE_A",
    "EVENT_VOLTAGE_B",
    "EVENT_VOLTAGE_C",
    "EVENT_CURRENT_A",
    "EVENT_CURRENT_B",
    "EVENT_CURRENT_C",
    "EVENT_OVER_VOLTAGE_A",
    "EVENT_OVER_VOLTAGE_B",
    "EVENT_OVER_VOLTAGE_C",
    "ARCHIVE_IN1_NS",
    "TOTAL_IN1_V2",
    "TOTAL_IN1_V3",
    "TOTAL_IN1_M1",
    "TOTAL_IN1_M2",
    "TOTAL_IN1_M3",
    "TOTAL_IN1_Q",
    "TOTAL_IN1_Ti",
    "TOTAL_IN1_Qg",
    "TOTAL_IN2_V1",
    "TOTAL_IN2_V2",
    "TOTAL_IN2_V3",
    "TOTAL_IN2_M1",
    "TOTAL_IN2_M2",
    "TOTAL_IN2_M3",
    "TOTAL_IN2_Q",
    "TOTAL_IN2_Ti",
    "TOTAL_IN2_Qg",
    "CUR_IN1_G1",
    "CUR_IN1_G2",
    "CUR_IN1_G3",
    "CUR_IN1_P1",
    "CUR_IN1_P2",
    "CUR_IN1_T1",
    "CUR_IN1_T2",
    "CUR_IN1_DT",
    "CUR_IN1_T3",
    "CUR_IN1_TH",
    "CUR_IN1_TV",
    "CURRENT_MAIN_NS",
    "CURRENT_IN1_NS",
    "CURRENT_IN2_NS",
    "TOTAL_IN1_V1",
    "ARCHIVE_IN1_SP",
    "ARCHIVE_IN1_P1",
    "ARCHIVE_IN1_P2",
    "ARCHIVE_IN1_T1",
    "ARCHIVE_IN1_T2",
    "ARCHIVE_IN1_T3",
    "ARCHIVE_IN1_TH",
    "ARCHIVE_IN1_TV",
    "ARCHIVE_IN1_V1",
    "ARCHIVE_IN1_V2",
    "ARCHIVE_IN1_V3",
    "ARCHIVE_IN1_M1",
    "ARCHIVE_IN1_M2",
    "ARCHIVE_IN1_M3",
    "ARCHIVE_IN1_Q",
    "ARCHIVE_IN1_Ti",
    "ARCHIVE_IN1_Qg",
    "ARCHIVE_IN2_NS",
    "ARCHIVE_IN2_SP",
    "ARCHIVE_IN2_P1",
    "ARCHIVE_IN2_P2",
    "ARCHIVE_IN2_T1",
    "ARCHIVE_IN2_T2",
    "ARCHIVE_IN2_T3",
    "ARCHIVE_IN2_TH",
    "ARCHIVE_IN2_TV",
    "ARCHIVE_IN2_V1",
    "ARCHIVE_IN2_V2",
    "ARCHIVE_IN2_V3",
    "ARCHIVE_IN2_M1",
    "ARCHIVE_IN2_M2",
    "ARCHIVE_IN2_M3",
    "ARCHIVE_IN2_Q",
    "ARCHIVE_IN2_Ti",
    "ARCHIVE_IN2_Qg",
    "EVENT_IN1_NS",
    "EVENT_IN2_NS",
    "PHASE1_CURRENT",
    "PHASE2_CURRENT",
    "PHASE3_CURRENT",
    "PHASE1_POWER",
    "PARAMETER_BATTARY_VOLTAGE",
    "ENERGY_TARIF3",
    "ENERGY_TARIF4",
    "EVENT_SENSOR",
    "TEMP",
    "CUR_IN1_SP",
    "ENERGY_TARIF_1",
    "ENERGY_TARIF_2",
    "ENERGY_TARIF_3",
    "ENERGY_TARIF_4",
    "ENERGY_TARIF_LOST",
    "ENERGY_TARIF1_REACTIVE_P",
    "ENERGY_TARIF2_REACTIVE_P",
    "ENERGY_TARIF1_REACTIVE_M",
    "ENERGY_TARIF2_REACTIVE_M",
    "VALUE",
    "PHASE1_POWER_ACTIVE",
    "PHASE2_POWER_ACTIVE",
    "PHASE3_POWER_ACTIVE",
    "PHASE1_POWER_FACTOR",
    "PHASE2_POWER_FACTOR",
    "PHASE3_POWER_FACTOR",
    "SUPPLY",
    "PHASE2_POWER",
    "PHASE3_POWER",
    "CUR_IN2_G1",
    "CUR_IN2_G2",
    "CUR_IN2_G3",
    "CUR_IN2_P1",
    "CUR_IN2_P2",
    "CUR_IN2_T1",
    "CUR_IN2_T2",
    "CUR_IN2_DT",
    "CUR_IN2_T3",
    "CUR_IN2_TH",
    "CUR_IN2_TV",
    "ENERGY_TARIF5",
    "COUNT_1",
    "COUNT_2",
    "RSSI",
    "COUNT_3",
    "COUNT_4",
    "COUNT_5",
    "COUNT_6",
    "COUNT_7",
    "COUNT_8",
    "TEKON19_QUEUE_NAME",
    "TEKON19_QUEUE_IDENT",
    "TEKON19_QUEUE_LENGTH",
    "ENERGY_TARIF1_ACTIVE_M",
    "ENERGY_TARIF2_ACTIVE_M",
    "ENERGY_TARIF3_ACTIVE_M",
    "ENERGY_TARIF4_ACTIVE_M",
    "ENERGY_TARIF_SUM_ACTIVE_M",
    "ENERGY_TARIF3_REACTIVE_P",
    "ENERGY_TARIF3_REACTIVE_M",
    "ENERGY_TARIF4_REACTIVE_P",
    "ENERGY_TARIF4_REACTIVE_M",
    "ENERGY_TARIF_SUM_REACTIVE_P",
    "ENERGY_TARIF_SUM_REACTIVE_M",
    "ENERGY_WATER",
    "SCOPE_M3",
    "POWER_W",
    "CONSUMPTION_M3H",
    "TEMP_POD",
    "TEMP_OBR",
    "TEMP_DIFF",
    "SCOPE_M3_FLOW",
    "TEMP_EXTERNAL",
    "PRORILE_POWER_R_PLUS",
    "PRORILE_POWER_R_MINUS",
    "PRORILE_POWER_A_PLUS",
    "PRORILE_POWER_A_MINUS",
    "SCOPE_CONS_IMP1",
    "SCOPE_CONS_IMP2",
    "SCOPE_CONS_IMP3",
    "CURRENT_FREQUENCY",
    "COEF_POWER",
    "INSTANT_POWER",
    "PHASE1_POWER_R",
    "PHASE2_POWER_R",
    "PHASE3_POWER_R",
    "PHASE_POWER_R_SUM",
    "PHASE1_POWER_F",
    "PHASE2_POWER_F",
    "PHASE3_POWER_F",
    "PHASE_POWER_F_SUM",
    "PHASE_POWER_SUM"
);

// Проверяем есть ли дефолтные параметры из БД в нашем списке.
// Если нету то удаляем
$Filter = array(
    'Filter' => array(
        'EnterpriseId' => 0
    )
);
foreach (parameter::Filter( $Filter )->Elements as $iParameter) {
    if( !in_array( $iParameter->Ident , $install_ar_parameters ) ){
        $iParameter->Delete();
        $iParameter->Save();
    }
}


// Набиваем недостающими
foreach( $install_ar_parameters as $ident ){

  $attrs['EnterpriseId'] = 0;
  $attrs['Ident'] = $ident;
  
  $Parameter = parameter::GetByIdents( $ident );
  if( !$Parameter->Count ){
    $result[ 'Параметры' ][] = array(
        'type' => 'success',
        'msg' => "<b>[add]</b> " . $ident
    );
    $Parameter = parameter::AddByArray($attrs);
  }else{
    $Parameter = $Parameter->First;
    $Parameter->UpdateByArray($attrs);
    $Parameter->Save();
    $result[ 'Параметры' ][] = array(
        'type' => 'warning',
        'msg' => "<b>[upgrade]</b> " . $ident
    );
  }
}
